import com.bailuntec.domain.entity.JobPointLog;
import com.bailuntec.job.DailyFeeJob;
import com.bailuntec.job.ManageCostJob;
import org.junit.jupiter.api.Test;

import java.time.LocalDateTime;

public class MainTest {
    @Test
    public void test() {
        ManageCostJob syncManagerCostJob = new ManageCostJob();
        JobPointLog jobPointLog = new JobPointLog("base-sync-managecost", 1, 1, 1, 1,
                LocalDateTime.of(2020, 9, 1, 0, 0, 0),
                LocalDateTime.of(2020, 10, 1, 0, 0, 0));
        syncManagerCostJob.executeJob(null, jobPointLog);
    }

    @Test
    public void testDailyFee() {

        DailyFeeJob syncDailyFeeJob = new DailyFeeJob();
        JobPointLog jobPointLog = new JobPointLog("base-daily-fee", 1, 1, 1, 1,
                LocalDateTime.of(2020, 6, 12, 23, 35, 40),
                LocalDateTime.of(2020, 6, 16, 23, 35, 40));
        syncDailyFeeJob.executeJob(null, jobPointLog);
    }
}
